import request from '@/utils/request'

// 查询我的宠物列表
export function getpetList(params) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/pet/list",
		method: 'get',
		params
	})
}

// 根据宠物标识查询宠物信息
export function getByPetId(params) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/pet/getByPetId",
		method: 'get',
		params
	})
}

// 根据宠物标识删除宠物信息
export function delByPetId(data) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/pet/delete",
		method: 'post',
		data
	})
}

// 新增宠物信息
export function addPet(data) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/pet/add",
		method: 'post',
		data
	})
}

// 修改宠物信息
export function updatePet(data) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/pet/edit",
		method: 'post',
		data
	})
}

// 获取宠物详情
export function getPetDetails(params) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/pet/getByPetId",
		method: 'get',
		params
	})
}